Subject: [Errata Rejected] RFC7234 (4616)

From: RFC Errata System <[email-masked]>
Date: Thu, 23 Feb 2017 07:22:11 -0800 (PST)

The following errata report has been rejected for RFC7234,
"Hypertext Transfer Protocol (HTTP/1.1): Caching".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7234&eid=4616

--------------------------------------
Status: Rejected
Type: Editorial

Reported by: Brian Chang <[email-masked]>
Date Reported: 2016-02-08
Rejected by: Alexey Melnikov (IESG)

Section: GLOBAL

Original Text
-------------
(See Section 3.2 for additional details related to the use of public in
 response to a request containing Authorization, and Section 3 for 
 details of how public affects responses that would normally not be 
 stored, due to their status codes not being defined as cacheable 
 by default; see Section 4.2.2.)

has a status code that is defined as cacheable by default 
(see Section 4.2.2), or

Corrected Text
--------------
(See Section 3.2 for additional details related to the use of public in
 response to a request containing Authorization, and Section 3 for 
 details of how public affects responses that would normally not be 
 stored, due to their status codes not being defined as cacheable 
 by default; see Section 6.1 of [RFC7231].)

has a status code that is defined as cacheable by default 
(see Section 6.1 of [RFC7231]), or

Notes
-----
Section 4.2.2 is titled "Calculating Heuristic Freshness" but is referenced in the original text when talking about status codes. This is confusing despite having a reference to Section 6.1 of RFC7231 buried within the text.

There are other references to 4.2.2 as well, but those actually talk about heuristic freshness.
 --VERIFIER NOTES-- 
See HTTPBIS mailing list discussion.

--------------------------------------
RFC7234 (draft-ietf-httpbis-p6-cache-26)
--------------------------------------
Title               : Hypertext Transfer Protocol (HTTP/1.1): Caching
Publication Date    : June 2014
Author(s)           : R. Fielding, Ed., M. Nottingham, Ed., J. Reschke, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG